Package ghidra.program.model.sourcemap

# Record Class SourcePathTransformRecord

java.lang.Object
java.lang.Record
ghidra.program.model.sourcemap.SourcePathTransformRecord

Record Components:
  `source` - A path (directory transform) or a String of the form SourceFileIdName + "#" + ID + "#" + SourceFile path (file transform)
  `sourceFile` - SourceFile (null for directory tranforms)
  `target` - transformed path

public record SourcePathTransformRecord(String source, SourceFile sourceFile, String target) extends Record
A container for a source path transformation. No validation is performed on the inputs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourcePathTransformRecord(String source, SourceFile sourceFile, String target)`
  Creates an instance of a `SourcePathTransformRecord` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isDirectoryTransform()`
  `String`
  `source()`
  Returns the value of the `source` record component.
  `SourceFile`
  `sourceFile()`
  Returns the value of the `sourceFile` record component.
  `String`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SourcePathTransformRecord

    public SourcePathTransformRecord(String source, SourceFile sourceFile, String target)
    Creates an instance of a `SourcePathTransformRecord` record class.
    Parameters:
      `source` - the value for the `source` record component
      `sourceFile` - the value for the `sourceFile` record component
      `target` - the value for the `target` record component

- ## Method Details

  - ### isDirectoryTransform

    public boolean isDirectoryTransform()

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### source

    public String source()
    Returns the value of the `source` record component.
    Returns:
      the value of the `source` record component

  - ### sourceFile

    public SourceFile sourceFile()
    Returns the value of the `sourceFile` record component.
    Returns:
      the value of the `sourceFile` record component

  - ### target

    public String target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component